--- old/usr/src/uts/common/io/physmem.c	sam. juil. 16 15:16:59 2016
+++ new/usr/src/uts/common/io/physmem.c	sam. juil. 16 15:16:59 2016
@@ -108,11 +108,11 @@
 static void physmem_inactive(vnode_t *vp, cred_t *crp, caller_context_t *ct);
 
 const fs_operation_def_t physmem_vnodeops_template[] = {
-	VOPNAME_GETPAGE,	{ .vop_getpage = physmem_getpage },
-	VOPNAME_ADDMAP,		{ .vop_addmap = physmem_addmap },
-	VOPNAME_DELMAP,		{ .vop_delmap = physmem_delmap },
-	VOPNAME_INACTIVE,	{ .vop_inactive = physmem_inactive },
-	NULL,			NULL
+	{ VOPNAME_GETPAGE,	{ .vop_getpage = physmem_getpage } },
+	{ VOPNAME_ADDMAP,	{ .vop_addmap = physmem_addmap } },
+	{ VOPNAME_DELMAP,	{ .vop_delmap = physmem_delmap } },
+	{ VOPNAME_INACTIVE,	{ .vop_inactive = physmem_inactive } },
+	{ NULL,			{ NULL } }
 };
 
 vnodeops_t *physmem_vnodeops = NULL;
@@ -960,8 +960,7 @@
 
 static struct modlinkage modlinkage = {
 	MODREV_1,
-	&modldrv,
-	NULL
+	{ &modldrv, NULL }
 };
 
 int
